import { OnboardingService } from './onboarding.service';
import { RequestUser } from '../auth/strategies/jwt.strategy';
import { OnboardingStatusDto, CompleteOnboardingResponseDto } from './dto';
export declare class OnboardingController {
    private readonly onboardingService;
    constructor(onboardingService: OnboardingService);
    getStatus(user: RequestUser): Promise<OnboardingStatusDto>;
    completeOnboarding(user: RequestUser): Promise<CompleteOnboardingResponseDto>;
}
